> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite user to team



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json put /v1/team/invite
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/invite:
    put:
      tags:
        - Team
      summary: Invite user to team
      operationId: TeamController_inviteUserToTeam
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InviteUserDto'
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    InviteUserDto:
      type: object
      properties:
        firstName:
          type: string
          description: First name of the user to invite (1-512 characters)
        lastName:
          type: string
          description: Last name of the user to invite (1-512 characters)
        email:
          type: string
          description: Email address of the user to invite
        role:
          type: string
          enum:
            - ADMIN
            - ANALYST
            - VIEWER
          description: Role to assign to the invited user
        autoSubscribeToNotifications:
          type: boolean
          description: Whether to disable notifications for the invited user
      required:
        - email
        - role
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````